Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 322791 - KDE SC 4.4.5 stabilization request
Summary: KDE SC 4.4.5 stabilization request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords: STABLEREQ
: 330443 (view as bug list)
Depends on: 299585 313233 320037 325461 329847 331043 331045 331153 331155
Blocks: 298221 323943 325307 325311
  Show dependency tree
 
Reported: 2010-06-04 20:54 UTC by Maciej Mrozowski
Modified: 2010-08-15 14:36 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
package.keywords - dependencies (package.keywords-deps,188 bytes, text/plain)
2010-06-06 01:03 UTC, Maciej Mrozowski
Details
package.keywords - dependencies (package.keywords-deps,243 bytes, text/plain)
2010-06-06 01:37 UTC, Maciej Mrozowski
Details
package.keywords - KDE SC 4.4.4 (package.keywords-KDE,7.31 KB, text/plain)
2010-06-06 01:38 UTC, Maciej Mrozowski
Details
package.keywords - dependencies (package.keywords-deps,309 bytes, text/plain)
2010-06-06 02:42 UTC, Maciej Mrozowski
Details
package.keywords - KDE SC 4.4.4 (package.keywords-KDE,7.39 KB, text/plain)
2010-06-21 21:10 UTC, Maciej Mrozowski
Details
package.keywords KDE SC 4.4.4 (package.keywords-KDE,7.29 KB, text/plain)
2010-06-21 21:15 UTC, Maciej Mrozowski
Details
package.keywords-KDE SC 4.4.4 (package.keywords-KDE,7.30 KB, text/plain)
2010-06-24 02:04 UTC, Maciej Mrozowski
Details
package.keywords-deps (package.keywords-deps,312 bytes, text/plain)
2010-06-24 02:06 UTC, Maciej Mrozowski
Details
list of kde-base/ packages with versions to stabilise (kdebase-4.4.5.stablelist,7.29 KB, text/plain)
2010-07-30 21:21 UTC, Tomáš Chvátal (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Mrozowski gentoo-dev 2010-06-04 20:54:07 UTC
No talking here please. Open new bugs for new issues. Also see bug 313999.
Comment 1 Maciej Mrozowski gentoo-dev 2010-06-06 01:03:33 UTC
Created attachment 234259 [details]
package.keywords - dependencies
Comment 2 Maciej Mrozowski gentoo-dev 2010-06-06 01:37:42 UTC
Created attachment 234263 [details]
package.keywords - dependencies
Comment 3 Maciej Mrozowski gentoo-dev 2010-06-06 01:38:12 UTC
Created attachment 234265 [details]
package.keywords - KDE SC 4.4.4
Comment 4 Maciej Mrozowski gentoo-dev 2010-06-06 02:42:00 UTC
Created attachment 234267 [details]
package.keywords - dependencies
Comment 5 Maciej Mrozowski gentoo-dev 2010-06-21 21:10:02 UTC
Created attachment 236177 [details]
package.keywords - KDE SC 4.4.4

Removed kappfinder, updated package list (a few -r1)
Comment 6 Maciej Mrozowski gentoo-dev 2010-06-21 21:15:43 UTC
Created attachment 236179 [details]
package.keywords KDE SC 4.4.4

Remove mistakenly added scp-kde and printer applet
Comment 7 Maciej Mrozowski gentoo-dev 2010-06-24 02:04:59 UTC
Created attachment 236355 [details]
package.keywords-KDE SC 4.4.4

Update list
Comment 8 Maciej Mrozowski gentoo-dev 2010-06-24 02:06:09 UTC
Created attachment 236357 [details]
package.keywords-deps

Update list
Comment 9 Maciej Mrozowski gentoo-dev 2010-06-24 02:20:38 UTC
Please proceed.
Comment 10 Markus Meier gentoo-dev 2010-06-24 05:49:29 UTC
and why shouldn't we wait the usual 30 days here?
Comment 11 Samuli Suominen gentoo-dev 2010-06-24 08:06:43 UTC
(In reply to comment #10)
> and why shouldn't we wait the usual 30 days here?
> 

How about bug 323943 for a reason? Unresolvable blockers in stable. :-)
Comment 12 Christoph Mende (RETIRED) gentoo-dev 2010-06-24 11:06:26 UTC
amd64 stable
Comment 13 Tomáš Chvátal (RETIRED) gentoo-dev 2010-06-24 11:15:13 UTC
(In reply to comment #10)
> and why shouldn't we wait the usual 30 days here?
> 

It took us quite time to stabilise that list and ensure that it all works at least a bit together :P
7 days here or there wont change the thing.

Also i would like archies to consider if they want the stable or not. I myself consider kde tested and stable only on arm/amd64/x86, because upstream really don't test it on anything else.
(currently amd64, x86 and ppc have stables)
Comment 14 Tomáš Chvátal (RETIRED) gentoo-dev 2010-06-24 11:17:08 UTC
And one more thing, if the list of stables differ against what amd64 stabilised rather pick those that were stabled on amd64. Not sure now if the list is updated to it or not.
Comment 15 Christian Faulhammer (RETIRED) gentoo-dev 2010-06-24 12:55:34 UTC
(In reply to comment #11)
> (In reply to comment #10)
> > and why shouldn't we wait the usual 30 days here?
> > 
> 
> How about bug 323943 for a reason? Unresolvable blockers in stable. :-)

 We will give it some days nonetheless to ripe on x86.
Comment 16 Maciej Mrozowski gentoo-dev 2010-06-24 16:39:06 UTC
Also as a reason why fast-stable it not respecting 30 day period - it results from the way we create KDE ebuild. We bump them directly from stable SVN branch equvalents (4.4.9999 in kde overlay) and many of us test and use those live releases on daily basis. That being said 4.4.4 was in fact introduced the moment it was tagged in upstream SVN.

package list is updated and you should stick to it - especially two packages are missing there: printer-applet and system-config-printer-kde - they (nor their dependencies) are not meant to be stabilized (someone unnecessarily stabilized hal-cups-utils and system-config-printer-common last time - it was not intended)
Comment 17 Christian Faulhammer (RETIRED) gentoo-dev 2010-06-25 08:52:00 UTC
(In reply to comment #16)
> Also as a reason why fast-stable it not respecting 30 day period - it results
> from the way we create KDE ebuild. We bump them directly from stable SVN branch
> equvalents (4.4.9999 in kde overlay) and many of us test and use those live
> releases on daily basis. That being said 4.4.4 was in fact introduced the
> moment it was tagged in upstream SVN.

 Fine, but I have some issues with the newer Hal, which I need to sort out and check if they can stop stabilisation.  KDE is a big thing and I want it done properly apart from all your thorough testing...we will do it soon (TM).  Compile test succeeded on x86, commits will take some hours, maybe I will come to it on the weekend.
Comment 18 DrChandra the Gentoo Person 2010-06-27 14:11:39 UTC
Why stable kdeadmin-meta-4.4.4 before knetworkconf-4.4.4 (among others)? That requires users to keyword some or all of the required packages within the meta package. Why not stable the contents first?
Comment 19 Mike Limansky 2010-06-27 17:05:23 UTC
Hi,

 Is there no possibility to update a lot of ebuilds in one commit? I performed sync about 4 hours ago, and now cannot upgrade whole system, because part of kde packages are can be upgraded, but not the kdelibs. And as I see from packages.gentoo.org, the update is still not finished yet.
Comment 20 Christian Faulhammer (RETIRED) gentoo-dev 2010-06-27 18:08:20 UTC
(In reply to comment #18)
> Why stable kdeadmin-meta-4.4.4 before knetworkconf-4.4.4 (among others)? That
> requires users to keyword some or all of the required packages within the meta
> package. Why not stable the contents first?

 Because I just work off the list as it was presented here.  Maintaining the dep tree for a thing like KDE in between is near to impossible.  Initially I requested a rsync block for the stabilisation time, but infra and I could not meet on common ground.  Additionally the script which did the stabilisation hung itself because of a network problem while I was out of house.  Sorry for the inconvenience, will be over soon, I hope.
 Yes, faster commits are possible, but I hoped I could do it without glitches in a row.
Comment 21 Christian Faulhammer (RETIRED) gentoo-dev 2010-06-28 06:18:38 UTC
x86 stable, finally.
Comment 22 Maciej Mrozowski gentoo-dev 2010-07-29 13:52:51 UTC
For strigi, please see bug 330357
Comment 23 Tomáš Chvátal (RETIRED) gentoo-dev 2010-07-30 21:21:57 UTC
Created attachment 240757 [details]
list of kde-base/ packages with versions to stabilise

>30 days passed. Moving to 4.4.5...

For all the archies i would really like to know if you really want to have stable kde. We can gladly settle on having stable on x86 and amd64 if you really lack the powers to do this...
Comment 24 Tomáš Chvátal (RETIRED) gentoo-dev 2010-07-30 21:23:29 UTC
CCing back amd64 and x86 to recycle this bug rather than opening new stablereq.
As per previous comment.

@ppc team:
guys we seriously need you to do this stable or drop stable support for your arch. 4.3 is now really deprecated and becaming broken in stable more than i would like.
Comment 25 Markos Chandras (RETIRED) gentoo-dev 2010-08-03 14:09:29 UTC
amd64 done
Comment 26 Samuli Suominen gentoo-dev 2010-08-03 16:53:57 UTC
*** Bug 330443 has been marked as a duplicate of this bug. ***
Comment 27 Samuli Suominen gentoo-dev 2010-08-03 16:55:36 UTC
This bug is now blocking OpenSSL 1.x stabilization in near future because of fixes in kde-base/kopete and net-libs/libmsn (bug 330437 and bug 330443)
Naturally only ppc and x86 are affected because of their stable keywords on 4.3.5/4.4.4 which are broken
Comment 28 Maciej Mrozowski gentoo-dev 2010-08-05 21:14:03 UTC
Considering no feedback from archs and our plans to drop KDE SC 4.3.5 from tree, here it goes:

A friendly announcement/reminder for ppc@, ppc64@ and sparc@:
- from now on, ppc, ppc64 and sparc will not receive STABLEREQ for KDE SC releases nor any other KDE4 ebuilds. ~ppc, ~ppc64, ~sparc keywords will remain.
- removal of KDE SC 4.3.5 from tree will result in dropping all said architectures from stable to testing from all KDE4 packages.

A friendly announcement/reminder reminder for alpha@ and ia64@:
- as alpha and ia64 keywords are already dropped from KDE SC 4.4.x, removal of KDE SC 4.3.5 from tree will result in dropping all said architectures from all KDE4 packages.
Comment 29 Samuli Suominen gentoo-dev 2010-08-08 14:01:57 UTC
Why are these test failures being added to depends list? 
They don't block this bug.
All tests are skipped by default (they only run if you have I_KNOW_WHAT_I_AM_DOING defined (kde4-meta.eclass)).
Comment 30 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2010-08-08 14:32:01 UTC
(In reply to comment #29)
> Why are these test failures being added to depends list? 
> They don't block this bug.
> All tests are skipped by default (they only run if you have
> I_KNOW_WHAT_I_AM_DOING defined (kde4-meta.eclass)).

Which is set in the developer profile. If the tests are broken, it's better to restrict them, or at least display why they are running.

Anyway, it's a big stabilization so maybe we shouldn't be nitpicking too much.
Comment 31 Joe Jezak (RETIRED) gentoo-dev 2010-08-09 02:15:28 UTC
I made a "Friendly" announcement in the KDE IRC channel yesterday that I'd begin marking kde-4.4.5, some dependencies needed to be met first, so I'm getting to it tonight. I never heard any response. Usually I only respond on the bug after things have been taken care of. Is there a preferred method of communication to ensure that we're still receiving stabilization notices?

As for ppc64, I'm currently compiling, with the intention of stabling it in another week or two. I don't currently know if there are still Minimal-TOC issues remaining. Was that ever resolved?
Comment 32 Joe Jezak (RETIRED) gentoo-dev 2010-08-09 05:26:13 UTC
PPC should be done, please re-add us if there are problems.
Comment 33 Christian Faulhammer (RETIRED) gentoo-dev 2010-08-09 10:52:28 UTC
x86 stable
Comment 34 Tomáš Chvátal (RETIRED) gentoo-dev 2010-08-10 07:43:10 UTC
Removing archies that dont have kde
Comment 35 Tomáš Chvátal (RETIRED) gentoo-dev 2010-08-10 07:44:11 UTC
As i see nobody ever poked arm :/
Probably my bad...
Comment 36 Samuli Suominen gentoo-dev 2010-08-10 09:21:36 UTC
I'm removing ppc64@ because the team has like 200+ open STABLEREQ bugs, including security, base-system/f.d.o (lvm2, udev, cryptsetup, hal, udisks, upower) and with it Gnome 2.30 and co.
It's not realistic to stabilize KDE right now with current manpower.
Comment 37 Raúl Porcel (RETIRED) gentoo-dev 2010-08-15 14:36:51 UTC
arm will pass, closing